curl --request GET \
--url https://api.sandbox.getasset.com/v0/business/{business_id}/reports/general-ledger \
--header 'Authorization: Bearer <token>'{
"data": {
"ledgers": [
{
"ledger": {
"id": "<string>",
"name": "<string>"
},
"lines": [
{
"date": "2023-11-07T05:31:56Z",
"journal_entry_id": "<string>",
"memo": "<string>",
"split_ledgers": [
{
"id": "<string>",
"name": "<string>"
}
],
"debit_credit": "debit",
"amount": 123,
"balance": 123
}
]
}
],
"data_truncated": true
}
}curl --request GET \
--url https://api.sandbox.getasset.com/v0/business/{business_id}/reports/general-ledger \
--header 'Authorization: Bearer <token>'{
"data": {
"ledgers": [
{
"ledger": {
"id": "<string>",
"name": "<string>"
},
"lines": [
{
"date": "2023-11-07T05:31:56Z",
"journal_entry_id": "<string>",
"memo": "<string>",
"split_ledgers": [
{
"id": "<string>",
"name": "<string>"
}
],
"debit_credit": "debit",
"amount": 123,
"balance": 123
}
]
}
],
"data_truncated": true
}
}The access token received from the authorization server in the OAuth 2.0 flow.
application/json, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet The ID of the Business
The start date (inclusive) in ISO-8601 format.
The end date (inclusive) in ISO-8601 format.
Successful Response
Show child attributes
The ledger groups
Show child attributes
The line entries for this ledger
Show child attributes
The date of the journal entry
The Journal Entry ID
The journal entry description/memo
Whether this is a debit or credit entry
debit, credit The amount
The running balance for this ledger after this entry
Whether data exceeded limits and was truncated. Newer lines will be truncated first. Reduce the requested time range to avoid truncation.